<?php

  if( $Debug == 1 ){
    echo "Validate User Tendero";
  }

  $debugin    = $decoded['debug'];
  $tienda_id  = $decoded['tienda_id'];
  $user_id    = $decoded['user_id'];
  $FechaHoy   = date('Y-m-d H:i:s');

  if( $debugin == 1 ){

    echo "Debug-in\n";
    echo $id."\n";
    echo $cel."\n";

  }

  if( $tienda_id && $user_id ){

    //Valida Usuario
    $Query = "
      SELECT
        usr.id
      FROM usuarios_app usr
      WHERE
        usr.Id = '$user_id'
        AND usr.activo = '1'
    ";
    $Result = mysqli_query($mysqli, $Query);
	  $Usr = mysqli_fetch_assoc($Result);
    if( $Usr[id] ){

      //Valida Codigo de Tienda QR
      $Query = "
        SELECT
          tie.id,
          tie.nombre,
          tie.codigoQr,
          tie.fk_pais, pai.nombre AS pais,
          tie.fk_estado, est.estado,
          tie.fk_municipio, mun.municipio,
          tie.codigo_postal, tie.colonia,
          tie.calle, tie.no_exterior, tie.no_interior,
          tie.lat, tie.lng
        FROM tiendas tie
        LEFT JOIN cat_paises pai ON pai.id = tie.fk_pais
        LEFT JOIN cat_estados est ON est.id = tie.fk_estado
        LEFT JOIN cat_municipios mun ON mun.id = tie.fk_municipio
        WHERE
          tie.id = '$tienda_id'
        GROUP BY tie.Id
      ";
      $Result = mysqli_query($mysqli, $Query);
      $TiendaVal = mysqli_fetch_assoc($Result);
      if( $TiendaVal[id] ){

        //Valida que el usuario tenga checkin
        $Query = "
          SELECT
            vi.id
          FROM visitas_fuerzaventas vi
          WHERE
            vi.fk_tienda        = '$TiendaVal[id]'
            AND vi.fk_usuario   = '$user_id'
            AND vi.in_          = '1'
          GROUP BY vi.Id
        ";
        $Result = mysqli_query($mysqli, $Query);
        $Visita = mysqli_fetch_assoc($Result);
        if( $Visita[id] ){

          //Realiza el CheckOut
          $Query = "
            UPDATE visitas_fuerzaventas
            SET
              in_       = '0',
              fecha_out = '$FechaHoy'
            WHERE
              Id = '$Visita[id]'
          ";
          $Result = mysqli_query($mysqli, $Query);
          //End Realiza el CheckOut

          //Msn
          $Data = array(
            'action'  => 'ok',
            'msn'     => 'Checkout correcto!'
          );
          echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);

        }else{

          //Error
          $Data = array(
            'action'      => 'error',
            'error'       => 'Er-0',
            'error_msn'   => 'Error.'
          );
          echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);

        }

      }else{

        //Error
        $Data = array(
          'action'      => 'error',
          'error'       => 'Er-0',
          'error_msn'   => 'Error.'
        );
        echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);

      }

    }else{

      //Error
      $Data = array(
        'action'      => 'error',
        'error'       => 'Er-0',
        'error_msn'   => 'Error.'
      );
      echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);

    }

  }else{

    //Error
    $Data = array(
      'action'      => 'error',
      'error'       => 'Er-0',
      'error_msn'   => 'Error de lectura'
    );
    echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);


  }

?>
